Package com.mckoi.store

## Interface Area

All Known Subinterfaces:
  `MutableArea`

    public interface Area

An interface for access the contents of an area of a store. The area object maintains a pointer that can be manipulated and read from.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `capacity()` Returns the capacity of the area.
`void` `copyTo​(AreaWriter destination_writer, int size)` Copies 'size' bytes from the current position of this Area to the destination AreaWriter.
`byte` `get()`
`void` `get​(byte[] buf, int off, int len)`
`char` `getChar()`
`long` `getID()` Returns the unique identifier that represents this area.
`int` `getInt()`
`long` `getLong()`
`short` `getShort()`
`int` `position()` Returns the current position of the pointer within the area.
`void` `position​(int position)` Sets the position within the area.

### Method Detail

#### getID

    long getID()

Returns the unique identifier that represents this area.

#### position

    int position()

Returns the current position of the pointer within the area. The position starts at beginning of the area.

#### capacity

    int capacity()

Returns the capacity of the area.

#### position

    void position​(int position)
           throws java.io.IOException

Sets the position within the area.

Throws:
  `java.io.IOException`

#### copyTo

    void copyTo​(AreaWriter destination_writer,
                int size)
         throws java.io.IOException

Copies 'size' bytes from the current position of this Area to the destination AreaWriter.

Throws:
  `java.io.IOException`

#### get

    byte get()
      throws java.io.IOException

Throws:
  `java.io.IOException`

#### get

    void get​(byte[] buf,
             int off,
             int len)
      throws java.io.IOException

Throws:
  `java.io.IOException`

#### getShort

    short getShort()
            throws java.io.IOException

Throws:
  `java.io.IOException`

#### getInt

    int getInt()
        throws java.io.IOException

Throws:
  `java.io.IOException`

#### getLong

    long getLong()
          throws java.io.IOException

Throws:
  `java.io.IOException`

#### getChar

    char getChar()
          throws java.io.IOException

Throws:
  `java.io.IOException`